<div class="m-2 input-options-page-options" {{did-insert this.setup}}>
  <div class="form-floating mb-2">
    <Input @value={{@page.name}} id="{{this.elementId}}-name" @type="text" class="form-control page-name" />
    <label for="{{this.elementId}}-name">{{t "option-panel.name"}}</label>
  </div>

  <div class="mb-3">
    <Input::PageSlug @value={{@page.slug}} @floatLabel={{true}} @onChange={{this.changeSlug}} />
  </div>

  <div class="form-floating mb-2">
    <Textarea @value={{@page.description}} id="{{this.elementId}}-description" class="form-control page-description" placeholder={{t "option-panel.description"}} />
    <label for="{{this.elementId}}-description">{{t "option-panel.description"}}</label>
  </div>

  {{#if this.hasSlugWithVariable}}
    <div class="form-floating mb-2">
      <Input @value={{this.modeId}} id="{{this.elementId}}-model-id" @type="text" class="form-control input-model-id" />
      <label for="{{this.elementId}}-model-id">{{t "option-panel.example-model-id"}}</label>
    </div>
  {{/if}}

  <div class="form-floating mb-2">
    <Input::Select @list={{@spaceList}} @value={{@space}} @onChange={{@onSpaceChange}} id="{{this.elementId}}-space-id" class="form-control input-space-id" />
    <label for="{{this.elementId}}-space-id">{{t "option-panel.space"}}</label>
  </div>

  <Input::PictureAuto id="{{this.elementId}}-cover" @disable365={{true}} @value={{@page.cover}} @save={{this.coverChanged}} @model="Page" @modelId={{@page.id}} />

  <hr />
  <Manage::Toggle @title={{t "is public"}} @id="{{this.elementId}}-toggle-is-public" class="chk-visibility" @disabled={{@disabled}} @value={{@page.visibility.isPublic}} @onSave={{this.saveIsPublic}} />
</div>

<Input::Options::Frame @title={{t "option-panel.categories"}} class="page-categories">
  <Input::StringList @value={{@page.categories}} @onChange={{this.changeCategories}} />
</Input::Options::Frame>

<Input::Options::Frame @title={{t "option-panel.revisions"}}>
  <Manage::RevisionList class="page-revisions" @value={{this.pageRevisions}} @onSelect={{@onRevertPage}} />
</Input::Options::Frame>